import { SvelteComponent } from "svelte";
import type { TDocumentDefinitions } from 'pdfmake/interfaces';
import type { PageSizeMode } from './styling/page';
declare const __propDef: {
    props: {
        document: TDocumentDefinitions;
        pageShadow?: boolean;
        mode?: PageSizeMode;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type PdfmakeHtmlRendererProps = typeof __propDef.props;
export type PdfmakeHtmlRendererEvents = typeof __propDef.events;
export type PdfmakeHtmlRendererSlots = typeof __propDef.slots;
export default class PdfmakeHtmlRenderer extends SvelteComponent<PdfmakeHtmlRendererProps, PdfmakeHtmlRendererEvents, PdfmakeHtmlRendererSlots> {
}
export {};
