import type { Content, TDocumentDefinitions } from 'pdfmake/interfaces';
import type { Readable, Writable } from 'svelte/store';
export declare const contextKey = "pdfmake-document";
export interface RendererContext {
    document: Writable<TDocumentDefinitions>;
    nodes: Writable<Content[]>;
}
export declare function getDocument(): Readable<TDocumentDefinitions>;
export declare function getDocumentNodes(): Readable<Content[]>;
