import { toArray } from '../logic/utils';
import { flattenNodes } from './content';
export function getTocItemNodes(tocNode, content) {
    return flattenNodes(content).filter(node => {
        var _a;
        return typeof node === 'object' &&
            node &&
            'tocItem' in node &&
            toArray(node.tocItem).includes((_a = tocNode.toc.id) !== null && _a !== void 0 ? _a : true);
    });
}
export function getTocTarget(node, allNodes) {
    const index = allNodes.indexOf(node);
    if (index === -1)
        return undefined;
    return `node${index + 1}`;
}
