import type { CanvasEllipse, CanvasLine, CanvasPolyline, CanvasRect, ContentCanvas } from 'pdfmake/interfaces';
type Properties = Record<string, string>;
export declare function getCanvasProperties(node: ContentCanvas): Properties;
export declare function getCanvasRectProperties(rect: CanvasRect, index: number): Properties;
export declare function getCanvasEllipseProperties(ellipse: CanvasEllipse, index: number): Properties;
export declare function getCanvasLineProperties(line: CanvasLine): Properties;
export declare function getCanvasPolylineProperties(line: CanvasPolyline, index: number): Properties;
export {};
