import type { ContextPageSize, TDocumentDefinitions } from 'pdfmake/interfaces';
export type PageSizeMode = 'shrinkToFit' | 'zoomToFit' | 'natural' | 'fluid';
export declare function getPageSize(document: TDocumentDefinitions): ContextPageSize;
export declare function getPageStyleString(document: TDocumentDefinitions, clientWidth: number, mode: PageSizeMode): string;
export declare function getPageContentStyleString(document: TDocumentDefinitions): string;
