import { SvelteComponent } from "svelte";
import type { TDocumentDefinitions } from 'pdfmake/interfaces';
import type { PageSizeMode } from '../styling/page';
declare const __propDef: {
    props: {
        document: TDocumentDefinitions;
        pageShadow: boolean;
        mode: PageSizeMode;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type DocumentRendererProps = typeof __propDef.props;
export type DocumentRendererEvents = typeof __propDef.events;
export type DocumentRendererSlots = typeof __propDef.slots;
export default class DocumentRenderer extends SvelteComponent<DocumentRendererProps, DocumentRendererEvents, DocumentRendererSlots> {
}
export {};
