import type { Content } from 'pdfmake/interfaces';
import ContentArrayRenderer from '../components/ContentArrayRenderer.svelte';
import StringRenderer from '../components/StringRenderer.svelte';
import ContentColumnsRenderer from '../components/ContentColumnsRenderer.svelte';
import ContentStackRenderer from '../components/ContentStackRenderer.svelte';
import ContentTableRenderer from '../components/ContentTableRenderer.svelte';
import ContentUnorderedListRenderer from '../components/ContentUnorderedListRenderer.svelte';
import ContentOrderedListRenderer from '../components/ContentOrderedListRenderer.svelte';
import ContentImageRenderer from '../components/ContentImageRenderer.svelte';
import ContentSvgRenderer from '../components/ContentSvgRenderer.svelte';
import ContentLinkRenderer from '../components/ContentLinkRenderer.svelte';
import ContentQrRenderer from '../components/ContentQrRenderer.svelte';
import ContentCanvasRenderer from '../components/ContentCanvasRenderer.svelte';
import ContentTocRenderer from '../components/ContentTocRenderer.svelte';
import ContentPageReferenceRenderer from '../components/ContentPageReferenceRenderer.svelte';
import ContentTextReferenceRenderer from '../components/ContentTextReferenceRenderer.svelte';
export declare function getContentRenderer(node: Content, inLink: boolean): typeof ContentArrayRenderer | typeof StringRenderer | typeof ContentColumnsRenderer | typeof ContentStackRenderer | typeof ContentTableRenderer | typeof ContentUnorderedListRenderer | typeof ContentOrderedListRenderer | typeof ContentImageRenderer | typeof ContentSvgRenderer | typeof ContentLinkRenderer | typeof ContentQrRenderer | typeof ContentCanvasRenderer | typeof ContentTocRenderer | typeof ContentPageReferenceRenderer | typeof ContentTextReferenceRenderer | null;
export declare function flattenNodes(node: Content): Content[];
