function isListNode(node) {
    return (typeof node === 'object' &&
        !Array.isArray(node) &&
        node &&
        ('ul' in node || 'ol' in node));
}
export function getListItemsToRender(list) {
    if (!Array.isArray(list))
        return [];
    return list
        .map((entry, index) => {
        const next = isListNode(list[index + 1]) ? list[index + 1] : null;
        return index === 0 || !isListNode(entry) ? [entry, next, index] : null;
    })
        .filter(Boolean);
}
